Submit a claim
curl --request POST \
--url https://api.anagram.care/api/auth/v1/claims/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"patient": {
"dob": "1998-02-11",
"first_name": "Max",
"last_name": "Smith",
"type": "child",
"address": {
"line1": "String name",
"city": "City",
"zipcode": "12332",
"state": "CA"
}
},
"primary_member": {
"address": {
"city": "City",
"line1": "String name",
"state": "CA",
"zipcode": "12332"
},
"dob": "1988-10-11",
"first_name": "John",
"insurer_code": "insurer:demo:vision",
"last_name": "Smith",
"member_id": "A123455",
"phone": "0987654321",
"ssn_last_four": "1242"
},
"services": [
{
"codes": [
"S0504"
],
"cost": "12.22",
"date": "2022-02-11",
"quantity": 2,
"diagnosis_codes": [
"H52.10"
]
},
{
"codes": [
"V2781"
],
"cost": "44.21",
"date": "2022-02-11",
"quantity": 1
}
],
"paid_amount": "68.65"
}
'import requests
url = "https://api.anagram.care/api/auth/v1/claims/"
payload = {
"patient": {
"dob": "1998-02-11",
"first_name": "Max",
"last_name": "Smith",
"type": "child",
"address": {
"line1": "String name",
"city": "City",
"zipcode": "12332",
"state": "CA"
}
},
"primary_member": {
"address": {
"city": "City",
"line1": "String name",
"state": "CA",
"zipcode": "12332"
},
"dob": "1988-10-11",
"first_name": "John",
"insurer_code": "insurer:demo:vision",
"last_name": "Smith",
"member_id": "A123455",
"phone": "0987654321",
"ssn_last_four": "1242"
},
"services": [
{
"codes": ["S0504"],
"cost": "12.22",
"date": "2022-02-11",
"quantity": 2,
"diagnosis_codes": ["H52.10"]
},
{
"codes": ["V2781"],
"cost": "44.21",
"date": "2022-02-11",
"quantity": 1
}
],
"paid_amount": "68.65"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient: {
dob: '1998-02-11',
first_name: 'Max',
last_name: 'Smith',
type: 'child',
address: {line1: 'String name', city: 'City', zipcode: '12332', state: 'CA'}
},
primary_member: {
address: {city: 'City', line1: 'String name', state: 'CA', zipcode: '12332'},
dob: '1988-10-11',
first_name: 'John',
insurer_code: 'insurer:demo:vision',
last_name: 'Smith',
member_id: 'A123455',
phone: '0987654321',
ssn_last_four: '1242'
},
services: [
{
codes: ['S0504'],
cost: '12.22',
date: '2022-02-11',
quantity: 2,
diagnosis_codes: ['H52.10']
},
{codes: ['V2781'], cost: '44.21', date: '2022-02-11', quantity: 1}
],
paid_amount: '68.65'
})
};
fetch('https://api.anagram.care/api/auth/v1/claims/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "CLM21T",
"patient": {
"address": {
"city": "City",
"line1": "String name",
"line2": null,
"recipient": null,
"state": "CA",
"zipcode": "12332"
},
"dob": "1998-02-11",
"email": null,
"first_name": "Max",
"last_name": "Smith",
"member_id": null,
"phone": null,
"sex": null,
"ssn_last_four": null,
"type": "child"
},
"primary_member": {
"address": {
"city": "City",
"line1": "String name",
"line2": null,
"recipient": null,
"state": "CA",
"zipcode": "12332"
},
"dob": "1988-10-11",
"email": null,
"first_name": "John",
"insurer_code": "insurer:demo:vision",
"last_name": "Smith",
"member_id": "A123455",
"phone": "0987654321",
"sex": null,
"ssn_last_four": "1242"
},
"services": [
{
"codes": [
"S0504"
],
"cost": "12.2200",
"date": "2022-02-11",
"quantity": 2,
"diagnosis_codes": [
"H52.10"
]
},
{
"codes": [
"V2781"
],
"cost": "44.2100",
"date": "2022-02-11",
"quantity": 1,
"diagnosis_codes": []
}
],
"status": "ready",
"paid_amount": "68.6500"
}Authenticated API
Create Claim
Creating and submitting an out-of-network vision claim
POST
/
api
/
auth
/
v1
/
claims
/
Submit a claim
The claim object contains all the information required to send a claim to an insurer:
- insurer
- patient details
- primary member details (can be same as patient details)
- list of services
Request Parameters
The main fields of claim are:patient: JSON object, representing patient detailsprimary_member: JSON object, representing primary patient memberservices: list of JSON objects, representing services that can be reimbursed
patient and primary_member must be provided even if the claim is created for a primary member. In this case, both the patient object and primary_member object must contain the same data.Authorizations
Your API token prefaced with an "Api" prefix. Example value: "Api B3F4242424E3FDB4242424242A9C7642"
Body
application/json
Amount paid by patient for services in claim
List of services in claim
Required array length:
1 - 6 elementsShow child attributes
Show child attributes
Information about primary member (primary subscriber)
Show child attributes
Show child attributes
Information about patient
Show child attributes
Show child attributes
Whether to accept the assignment of the benefits. false by default
Allows to store arbitrary metadata within the claim. You should use patient.account_number to link claims to your system.
Identifies the location that the claim will be linked to. When this field is empty, the claim will be linked with the default location. Example: LOC4242B
⌘I